com.pb.lisdk.grid

## Class PolygonGridCellCoverageFactory

- java.lang.Object
- - com.pb.lisdk.grid.PolygonGridCellCoverageFactory

    public class PolygonGridCellCoverageFactory
    extends Object

Generate grid cells that are contained by or on the border of a a geometry.

### Nested Class Summary

Nested Classes
`static class` `PolygonGridCellCoverageFactory.ClassifiedCell`
`static class` `PolygonGridCellCoverageFactory.CoverageResult` A list of grid cells that are either within a polygon or on the border.

### Constructor Summary

Constructors
Constructor and Description
`PolygonGridCellCoverageFactory(IGridCellProvider gridCellProvider, int maxHashLength, int maxHashCount)` Create a new instance of the factory.

### Method Summary

All Methods Instance Methods Concrete Methods
`PolygonGridCellCoverageFactory.CoverageResult` `cover(IMultiPolygon polygon)` Cover a polygon with grid cells.
`PolygonGridCellCoverageFactory.CoverageResult` `cover(IPolygon polygon)` Cover a polygon with grid cells.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PolygonGridCellCoverageFactory

    public PolygonGridCellCoverageFactory(IGridCellProvider gridCellProvider,
                                          int maxHashLength,
                                          int maxHashCount)

Create a new instance of the factory.

Parameters:
  `gridCellProvider` - Defines the type of grid cells to be generated.
  `maxHashLength` - The maximum depth of the cells to generate. The length of the string hash for any cell will be less than or equal to this value.
  `maxHashCount` - The maximum number of hashes to generate. Note that this is not a firm cap as the polygon still must be covered.

### Method Detail

#### cover

    public PolygonGridCellCoverageFactory.CoverageResult cover(IPolygon polygon)

Cover a polygon with grid cells.

#### cover

    public PolygonGridCellCoverageFactory.CoverageResult cover(IMultiPolygon polygon)

Cover a polygon with grid cells.